Bug 127998 - IDN support (umlaut domains) in glibc
IDN support (umlaut domains) in glibc
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-07-16 04:55 EDT by Robert Scheck
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-11 06:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
glibc-2.3.2-200309260658-idn.patch (925.41 KB, patch)
2004-08-04 12:05 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-07-16 04:55:16 EDT
Description of problem:
Glibc 2.3.3 is the first glibc with IDN support (umlaut domains) 
using GNU libidn, but Red Hat Enterprise Linux 3 has glibc 2.3.2 - 
also it hasn't IDN support.

IDN is a upcoming thing, especially in Europe. Many production 
systems and systems used for application development are running 
Red Hat Enterprise Linux 3. As long as RHEL4 is far away (~ 1.5 
years), there should be a backport for RHEL3 - maybe for U4?! I 
think, the system administrators and developers using RHEL3 should 
get the chance to have, experiment and develop things using IDN 
already, because Fedora Core 2/3 (which have currently working IDN 
support) aren't normally used in critical enviroments.

As I talked with Jakub Jelinek, he said that it is pretty obvious 
and libidn is a separate add-on and the changes to core glibc files 
are really minimal.

Version-Release number of selected component (if applicable):

Actual results:
I backported the IDN support from glibc 2.3.3 back to 2.3.2, but I 
had to made some changes outside the IDN specific things, because 
there was development and some code changed. I talked with Jakub 
Jelinek (I think you're the default but owner, too) - and sent him 
the "critical" part of my changes in "inet/getnameinfo.c" for review.

Expected results:
glibc for RHEL3 with IDN support... ;-)

Additional info:
I would append my IDN patch worked out against glibc-2.3.2-95.20, if 
Jakub or someone else approves my code change in inet/getnameinfo.c, 
where I'm really not sure whether it is wrong or right what I did.
Comment 1 Robert Scheck 2004-08-04 12:05:21 EDT
Created attachment 102426 [details]

This attached patch for IDN support in glibc from Red Hat Enterprise Linux 3
works for me fine since 2004-07-15 at all my systems (I still love the "risk"),
even if no Red Hat or glibc guy reviewed it, yet...
Comment 2 Suzanne Hillman 2004-08-09 12:01:23 EDT
Internal RFE bug #129479 entered; will be considered for future releases.
Comment 3 Suzanne Hillman 2004-08-30 15:55:30 EDT
This is not feasible for a RHEL 3 update release.
Comment 4 Robert Scheck 2004-08-30 16:49:13 EDT
Is it possible to get a good reason for that totally absurd decision? 
The IDN "[libidn] support is a separate add-on and the changes to 
core glibc files are really minimal" Jakub approved, so I guessed it 
shouldn't be a big problem.

Suzanne, let me say it more clearly (I still think a typical American 
can't see reasons for IDN support, I already noticed that at other 
parts - especially at non-european companies): Red Hat, Inc. also has 
customers in Europe where IDN (umlaut) domains are currently coming 
more and more and they are even more of belong as you can think. 

Last but not least: Sorry for the hard and brutal words against you 
and Red Hat, Inc. but I want to be direct and open - maybe you can 
understand that - if not the rest?!
Comment 6 Jakub Jelinek 2004-10-11 06:53:43 EDT
The point was primarily that a glibc change doesn't make much difference,
every application, that does a host name lookup and needs to handle
IDN domains, must be changed.  And that is not going to happen
for RHEL3.
Comment 7 Robert Scheck 2004-10-11 11:12:10 EDT
Jakub, I never thought and talked about using IDN support in current 
and existing applications of RHEL3 (maybe you read again, what I 
wrote?)...but it's okay - I know what I've to think and I'll use this 
patch further one here without Red Hat.

Note You need to log in before you can comment on or make changes to this bug.